Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.hsqldb
Class HSQLDBNoSchemaAdapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.hsqldb.HSQLDBAdapter
              org.apache.cayenne.dba.hsqldb.HSQLDBNoSchemaAdapter

All Implemented Interfaces:
  DbAdapter

    public class HSQLDBNoSchemaAdapter

extends HSQLDBAdapter

A flavor of HSQLDBAdapter that implements workarounds for some old driver limitations.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`ejbqlTranslatorFactory, extendedTypes, identifiersEndQuote, identifiersStartQuote, pkGenerator, supportsBatchUpdates, supportsFkConstraints, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`HSQLDBNoSchemaAdapter()`

Method Summary
`String` | `createTable(DbEntity ent)` Uses unqualified entity names.
`String` | `dropTable(DbEntity ent)` Returns a SQL string to drop a table corresponding to `ent` DbEntity.
`protected String` | `getSchemaName(DbEntity entity)` Generate unqualified name.
`protected String` | `getTableName(DbEntity entity)` Generate unqualified name without schema.

Methods inherited from class org.apache.cayenne.dba.hsqldb.HSQLDBAdapter
`createFkConstraint, createTableAppendColumn, createUniqueConstraint, getAction, mergerFactory`

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`bindParameter, buildAttribute, configureExtendedTypes, createEJBQLTranslatorFactory, createPkGenerator, createTableAppendPKClause, dropTableStatements, externalTypesForJdbcType, findAdapterResource, findResource, getBatchTerminator, getEjbqlTranslatorFactory, getExtendedTypes, getIdentifiersEndQuote, getIdentifiersStartQuote, getPkGenerator, getQualifierTranslator, getQuotingStrategy, initIdentifiersQuotes, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsFkConstraints, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsFkConstraints, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDBNoSchemaAdapter

    public HSQLDBNoSchemaAdapter()

Method Detail

### getTableName

    protected String getTableName(DbEntity entity)

  Generate unqualified name without schema.

  Overrides:
    `getTableName` in class `HSQLDBAdapter`
  Since:
    1.2

### getSchemaName

    protected String getSchemaName(DbEntity entity)

  Generate unqualified name.

  Overrides:
    `getSchemaName` in class `HSQLDBAdapter`
  Since:
    1.2

### dropTable

    public String dropTable(DbEntity ent)

  Returns a SQL string to drop a table corresponding to `ent` DbEntity.

  Specified by:
    `dropTable` in interface `DbAdapter`
  Overrides:
    `dropTable` in class `JdbcAdapter`
  Since:
    1.2

### createTable

    public String createTable(DbEntity ent)

  Uses unqualified entity names.

  Specified by:
    `createTable` in interface `DbAdapter`
  Overrides:
    `createTable` in class `HSQLDBAdapter`
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.